[prev in list] [next in list] [prev in thread] [next in thread] 

List:       kde-commits
Subject:    l10n/scripts
From:       David Faure <faure () kde ! org>
Date:       2007-03-12 14:26:14
Message-ID: 1173709574.261658.20995.nullmailer () svn ! kde ! org
[Download RAW message or body]

SVN commit 641755 by dfaure:

Don't break with zsh; don't break with CDPATH; check that poxml exists


 M  +7 -1      createdoctemplates.sh  


--- trunk/l10n/scripts/createdoctemplates.sh #641754:641755
@@ -1,4 +1,4 @@
-#! /bin/sh
+#!/bin/bash
 
 function check_xml() 
 {
@@ -19,6 +19,7 @@
 LANG=C
 LC_ALL=C
 LC_MESSAGES=C
+CDPATH=
 
 modules=`find documentation/ -maxdepth 1 -type d -follow -printf '%f\n' | grep -v \
svn | grep -v documentation`  
@@ -29,6 +30,11 @@
   exit 1
 fi
 
+if ! type -p xml2pot >/dev/null; then
+  echo 'xml2pot needs to be in your PATH. See kdesdk/poxml'
+  exit 1
+fi
+
 for m in $modules; do
   echo $m
   files_in_module=""


[prev in list] [next in list] [prev in thread] [next in thread] 

Configure | About | News | Add a list | Sponsored by KoreLogic